VERSION 5.00
Begin VB.Form frmAddField 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Add Field"
   ClientHeight    =   3030
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6360
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3030
   ScaleWidth      =   6360
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Close"
      Height          =   375
      Left            =   4800
      TabIndex        =   11
      Top             =   2520
      Width           =   1455
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "&OK"
      Height          =   375
      Left            =   4800
      TabIndex        =   10
      Top             =   2040
      Width           =   1455
   End
   Begin VB.CheckBox chkRequired 
      Caption         =   "Required"
      Height          =   375
      Left            =   120
      TabIndex        =   8
      Top             =   2520
      Width           =   1815
   End
   Begin VB.CheckBox chkAllowZeroLength 
      Caption         =   "Allow ZeroLength"
      Height          =   375
      Left            =   2040
      TabIndex        =   9
      Top             =   2520
      Width           =   1815
   End
   Begin VB.TextBox txtFName 
      Height          =   285
      Left            =   1920
      TabIndex        =   1
      Top             =   120
      Width           =   2415
   End
   Begin VB.TextBox txtFSize 
      Height          =   285
      Left            =   1920
      TabIndex        =   5
      Text            =   "30"
      Top             =   1320
      Width           =   1215
   End
   Begin VB.TextBox txtFDefaultValue 
      Height          =   285
      Left            =   1920
      TabIndex        =   7
      Top             =   1920
      Width           =   2415
   End
   Begin VB.ComboBox cboType 
      Height          =   315
      ItemData        =   "frmAddField.frx":0000
      Left            =   1920
      List            =   "frmAddField.frx":0022
      TabIndex        =   3
      Text            =   "Text"
      Top             =   720
      Width           =   2415
   End
   Begin VB.Label Label2 
      Caption         =   "Name"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1695
   End
   Begin VB.Label Label4 
      Caption         =   "Type"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   720
      Width           =   1695
   End
   Begin VB.Label Label6 
      Caption         =   "Size"
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   1320
      Width           =   1695
   End
   Begin VB.Label Label8 
      Caption         =   "Default Value"
      Height          =   375
      Left            =   120
      TabIndex        =   6
      Top             =   1920
      Width           =   1695
   End
End
Attribute VB_Name = "frmAddField"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim db As Database
Dim rs As Recordset

Private Sub cmdCancel_Click()
Unload Me
End Sub

Private Sub cmdOk_Click()
Dim FT As Integer
    If txtFName = "" Then
        MsgBox "Field name should not be empty.", vbInformation
        txtFName.SetFocus
        Exit Sub
    End If
    For i = 0 To frmDatabase.List1.ListCount - 1
        If frmDatabase.List1.List(i) = txtFName Then
            MsgBox "Field Already Exist. Enter New Name"
            Exit Sub
        End If
    Next i
    Select Case cboType.Text
        Case "Boolean"
            FT = 1
        Case "Byte"
            FT = 2
        Case "Integer"
            FT = 3
        Case "Long"
            FT = 4
        Case "Currency"
            FT = 5
        Case "Single"
            FT = 6
        Case "Double"
            FT = 7
        Case "Date"
            FT = 8
        Case "Binary"
            FT = 11
        Case "Memo"
            FT = 12
        Case "Text"
            FT = 10
    End Select
    With db.TableDefs(cloRs)
       .Fields.Append .CreateField(txtFName, FT, txtFSize)
    End With
    With db.TableDefs(cloRs).Fields(txtFName)
       .AllowZeroLength = chkAllowZeroLength
       .Required = chkRequired
       .DefaultValue = txtFDefaultValue
    End With
    txtFName = ""
    cboType = "Text"
    txtFSize = 30
    txtFSize.Enabled = True
    txtFDefaultValue = ""
    chkRequired.Value = 0
    chkAllowZeroLength.Value = 0
    chkRequired.Enabled = True
    chkAllowZeroLength.Enabled = True
    txtFName.SetFocus
End Sub

Private Sub Form_Load()
Set db = OpenDatabase(cloDb)
End Sub
Private Sub cboType_Click()
    txtFSize.Enabled = False
    chkAllowZeroLength.Enabled = False
    If cboType.Text = "Integer" Then
        txtFSize = 2
    ElseIf cboType.Text = "Single" Or cboType.Text = "Long" Then
        txtFSize = 4
    ElseIf cboType.Text = "Double" Or cboType.Text = "Date" Or cboType.Text = "Currency" Then
        txtFSize = 8
    ElseIf cboType.Text = "Byte" Or cboType.Text = "Boolean" Then
        txtFSize = 1
    ElseIf cboType.Text = "Memo" Or cboType.Text = "Binary" Then
        txtFSize = 0
    ElseIf cboType.Text = "Text" Then
        txtFSize = 30
        txtFSize.Enabled = True
        chkAllowZeroLength.Enabled = True
    End If


End Sub

