VERSION 5.00
Begin VB.Form frmAddTable 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Add Table"
   ClientHeight    =   4890
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7170
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4890
   ScaleWidth      =   7170
   StartUpPosition =   3  'Windows Default
   Begin VB.ComboBox cboType 
      Enabled         =   0   'False
      Height          =   315
      ItemData        =   "frmAddTable.frx":0000
      Left            =   4560
      List            =   "frmAddTable.frx":0022
      TabIndex        =   16
      Text            =   "Text"
      Top             =   1440
      Width           =   2415
   End
   Begin VB.TextBox txtFDefaultValue 
      Enabled         =   0   'False
      Height          =   285
      Left            =   4560
      TabIndex        =   15
      Top             =   2640
      Width           =   2415
   End
   Begin VB.TextBox txtFSize 
      Enabled         =   0   'False
      Height          =   285
      Left            =   4560
      TabIndex        =   14
      Text            =   "30"
      Top             =   2040
      Width           =   1215
   End
   Begin VB.TextBox txtFName 
      Enabled         =   0   'False
      Height          =   285
      Left            =   4560
      TabIndex        =   13
      Top             =   840
      Width           =   2415
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   495
      Left            =   5400
      TabIndex        =   12
      Top             =   4320
      Width           =   1575
   End
   Begin VB.CommandButton cmdBuildTable 
      Caption         =   "Build Table"
      Height          =   495
      Left            =   3720
      TabIndex        =   11
      Top             =   4320
      Width           =   1575
   End
   Begin VB.CheckBox chkAllowZeroLength 
      Caption         =   "Allow ZeroLength"
      Enabled         =   0   'False
      Height          =   375
      Left            =   4680
      TabIndex        =   10
      Top             =   3240
      Width           =   1815
   End
   Begin VB.CheckBox chkRequired 
      Caption         =   "Required"
      Enabled         =   0   'False
      Height          =   375
      Left            =   2760
      TabIndex        =   9
      Top             =   3240
      Width           =   1815
   End
   Begin VB.CommandButton cmdRemoveField 
      Caption         =   "&Remove Field"
      Enabled         =   0   'False
      Height          =   375
      Left            =   1200
      TabIndex        =   4
      Top             =   3600
      Width           =   1215
   End
   Begin VB.CommandButton cmdAddField 
      Caption         =   "&New Field"
      Enabled         =   0   'False
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   3600
      Width           =   1095
   End
   Begin VB.ListBox lstFields 
      Height          =   2790
      ItemData        =   "frmAddTable.frx":0070
      Left            =   120
      List            =   "frmAddTable.frx":0072
      TabIndex        =   2
      Top             =   720
      Width           =   2295
   End
   Begin VB.TextBox txtTableName 
      Height          =   285
      Left            =   2640
      TabIndex        =   1
      Top             =   240
      Width           =   3375
   End
   Begin VB.Line Line1 
      BorderWidth     =   3
      X1              =   0
      X2              =   7200
      Y1              =   4200
      Y2              =   4200
   End
   Begin VB.Label Label8 
      Caption         =   "Default Value"
      Height          =   375
      Left            =   2760
      TabIndex        =   8
      Top             =   2640
      Width           =   1695
   End
   Begin VB.Label Label6 
      Caption         =   "Size"
      Height          =   375
      Left            =   2760
      TabIndex        =   7
      Top             =   2040
      Width           =   1695
   End
   Begin VB.Label Label4 
      Caption         =   "Type"
      Height          =   375
      Left            =   2760
      TabIndex        =   6
      Top             =   1440
      Width           =   1695
   End
   Begin VB.Label Label2 
      Caption         =   "Name"
      Height          =   375
      Left            =   2760
      TabIndex        =   5
      Top             =   840
      Width           =   1695
   End
   Begin VB.Label Label1 
      Caption         =   "Table Name        :"
      Height          =   255
      Left            =   960
      TabIndex        =   0
      Top             =   240
      Width           =   1575
   End
End
Attribute VB_Name = "frmAddTable"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public db As String
Dim i As Integer
Dim addDb As Database
Dim tdfnew As TableDef
Dim fType As String


Private Sub cboType_Click()
    txtFSize.Enabled = False
    chkAllowZeroLength.Enabled = False
    If cboType.Text = "Integer" Then
        txtFSize = 2
    ElseIf cboType.Text = "Single" Or cboType.Text = "Long" Then
        txtFSize = 4
    ElseIf cboType.Text = "Double" Or cboType.Text = "Date" Or cboType.Text = "Currency" Then
        txtFSize = 8
    ElseIf cboType.Text = "Byte" Or cboType.Text = "Boolean" Then
        txtFSize = 1
    ElseIf cboType.Text = "Memo" Or cboType.Text = "Binary" Then
        txtFSize = 0
    ElseIf cboType.Text = "Text" Then
        txtFSize = 30
        txtFSize.Enabled = True
        chkAllowZeroLength.Enabled = True
    End If


End Sub

Private Sub cmdAddField_Click()
Dim FT As Integer
On Error GoTo er
If cmdAddField.Caption = "&New Field" Then
    Enable
    lstFields.Enabled = False
    txtFName = ""
    cboType = "Text"
    txtFSize = 30
    txtFDefaultValue = ""
    chkRequired.Value = 0
    chkAllowZeroLength.Value = 0
    cmdAddField.Caption = "&Add Field"
    cmdRemoveField.Caption = "&Cancel"
    txtFName.SetFocus
ElseIf cmdAddField.Caption = "&Add Field" Then
    For i = 0 To lstFields.ListCount - 1
        If lstFields.List(i) = txtFName Then
            Err.Description = "Field Name Already Exist."
            GoTo er
        End If
    Next i
Select Case cboType.Text
    Case "Boolean"
        FT = 1
    Case "Byte"
        FT = 2
    Case "Integer"
        FT = 3
    Case "Long"
        FT = 4
    Case "Currency"
        FT = 5
    Case "Single"
        FT = 6
    Case "Double"
        FT = 7
    Case "Date"
        FT = 8
    Case "Binary"
        FT = 11
    Case "Memo"
        FT = 12
    Case "Text"
        FT = 10
End Select
With tdfnew
   .Fields.Append .CreateField(txtFName, FT, txtFSize)
End With
   With tdfnew.Fields(txtFName)
        .AllowZeroLength = chkAllowZeroLength
        .Required = chkRequired
        .DefaultValue = txtFDefaultValue
    End With
    lstFields.AddItem txtFName
    cmdRemoveField.Caption = "&Remove Field"
    cmdAddField.Caption = "&New Field"
    Desable
    lstFields.Enabled = True
End If
Exit Sub
er:
    MsgBox Err.Description
    cmdRemoveField.Caption = "&Remove Field"
    cmdAddField.Caption = "&New Field"
    Desable
    lstFields.Enabled = True
End Sub

Sub Enable()
    txtFName.Enabled = True
    cboType.Enabled = True
    txtFSize.Enabled = True
    txtFDefaultValue.Enabled = True
    chkRequired.Enabled = True
    chkAllowZeroLength.Enabled = True
End Sub
Sub Desable()
    txtFName.Enabled = False
    cboType.Enabled = False
    txtFSize.Enabled = False
    txtFDefaultValue.Enabled = False
    chkRequired.Enabled = False
    chkAllowZeroLength.Enabled = False
End Sub
Private Sub cmdbuildtable_click()
    If lstFields.ListCount = 0 Then
        MsgBox "No fields are added."
        Desable
        Exit Sub
    End If
    addDb.TableDefs.Append tdfnew
    addDb.Close
    Unload Me
End Sub


Private Sub cmdCancel_Click()
Unload Me
End Sub

Private Sub cmdRemoveField_Click()

If cmdRemoveField.Caption = "&Remove Field" Then
On Error GoTo er
    If lstFields.ListCount = 0 Then Exit Sub
    lstFields.RemoveItem lstFields.ListIndex
    lstFields.Refresh
Else
    txtFName = ""
    cboType = "Text"
    txtFSize = 30
    txtFDefaultValue = ""
    chkRequired.Value = 0
    chkAllowZeroLength.Value = 0
    cmdAddField.Caption = "&New Field"
    cmdRemoveField.Caption = "&Remove Field"
    cmdAddField.Enabled = True
    Desable
    lstFields.Enabled = True
End If
er:
End Sub



Private Sub lstFields_Click()
Dim fType As Integer
Dim fTypes As String

If Not lstFields.ListCount = 0 Then
    txtFName.Text = tdfnew.Fields(lstFields.ListIndex).Name
    fType = tdfnew.Fields(lstFields.ListIndex).Type
    If fType = 1 Then
        fTypes = "Boolean"
    ElseIf fType = 2 Then
        fTypes = "Byte"
    ElseIf fType = 3 Then
        fTypes = "Integer"
    ElseIf fType = 4 Then
        fTypes = "Long"
    ElseIf fType = 5 Then
        fTypes = "Currency"
    ElseIf fType = 6 Then
        fTypes = "Single"
    ElseIf fType = 7 Then
        fTypes = "Double"
    ElseIf fType = 8 Then
        fTypes = "Date"
    ElseIf fType = 10 Then
        fTypes = "Text"
    ElseIf fType = 11 Then
        fTypes = "Binary"
    ElseIf fType = 12 Then
        fTypes = "Memo"
    End If
    cboType.Text = fTypes
    txtFSize.Text = tdfnew.Fields(lstFields.ListIndex).Size
    txtFDefaultValue.Text = tdfnew.Fields(lstFields.ListIndex).DefaultValue
    If tdfnew.Fields(lstFields.ListIndex).AllowZeroLength = True Then
        chkAllowZeroLength.Value = 1
    Else
        chkAllowZeroLength.Value = 0
    End If
    If tdfnew.Fields(lstFields.ListIndex).Required = True Then
        chkRequired.Value = 1
    Else
        chkRequired.Value = 0
    End If
End If
End Sub

Private Sub txtFName_Change()
If Not txtFName = "" Then
    cmdAddField.Enabled = True
Else
    cmdAddField.Enabled = False
End If
End Sub

Private Sub txtFName_GotFocus()
    cmdAddField.Enabled = False
End Sub

Private Sub txtTableName_GotFocus()
    cmdAddField.Enabled = True
End Sub

Private Sub txtTableName_LostFocus()
    If Not txtTableName = "" Then
        Set addDb = OpenDatabase(db)
        Set tdfnew = addDb.CreateTableDef(txtTableName)
        cmdRemoveField.Enabled = True
        Enable
        txtTableName.Enabled = False
    Else
        cmdAddField.Enabled = False
        MsgBox "Specify the Table Name."
        txtTableName.SetFocus
    End If
End Sub
